get
/api/v2/monitors/{id}/runsList recent persisted runs for a monitor.
List recent persisted runs for a monitor.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
id
path / required
No description provided.
Schema: string
page
query
No description provided.
Schema: integer
size
query
No description provided.
Schema: integer
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"runs": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"queued",
"running",
"completed",
"failed"
]
},
"startedAt": {
"type": "string",
"format": "date-time"
},
"completedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"modelSet": {
"type": "array",
"items": {
"type": "string"
}
},
"responseCount": {
"type": "integer"
},
"liveProviderResponseCount": {
"type": "integer"
},
"localFallbackResponseCount": {
"type": "integer"
},
"events": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"runId": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"status": {
"type": "string",
"enum": [
"queued",
"running",
"completed",
"failed"
]
},
"progressPercent": {
"type": "integer"
},
"message": {
"type": "string"
},
"metadata": {
"type": "object",
"additionalProperties": true
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"runId",
"sequence",
"status",
"progressPercent",
"message",
"metadata",
"createdAt"
]
}
}
},
"required": [
"id",
"status",
"startedAt",
"completedAt",
"modelSet",
"responseCount",
"liveProviderResponseCount",
"localFallbackResponseCount",
"events"
]
}
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"queued",
"running",
"completed",
"failed"
]
},
"startedAt": {
"type": "string",
"format": "date-time"
},
"completedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"modelSet": {
"type": "array",
"items": {
"type": "string"
}
},
"responseCount": {
"type": "integer"
},
"liveProviderResponseCount": {
"type": "integer"
},
"localFallbackResponseCount": {
"type": "integer"
},
"events": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"runId": {
"type": "string"
},
"sequence": {
"type": "integer"
},
"status": {
"type": "string",
"enum": [
"queued",
"running",
"completed",
"failed"
]
},
"progressPercent": {
"type": "integer"
},
"message": {
"type": "string"
},
"metadata": {
"type": "object",
"additionalProperties": true
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"runId",
"sequence",
"status",
"progressPercent",
"message",
"metadata",
"createdAt"
]
}
}
},
"required": [
"id",
"status",
"startedAt",
"completedAt",
"modelSet",
"responseCount",
"liveProviderResponseCount",
"localFallbackResponseCount",
"events"
]
}
},
"total": {
"type": "integer"
},
"page": {
"type": "integer"
},
"size": {
"type": "integer"
},
"totalPages": {
"type": "integer"
}
},
"required": [
"runs",
"total",
"page",
"size",
"totalPages"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.